# $Revision: 1.176 $, $Date: 2011/04/07 13:20:23 $
#
# Conditional build:
%bcond_without	numpy	# without numpy features
#
# todo: extensions?

%define		module	pygtk

Summary:	Python bindings for GTK+ 2.x libraries
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek GTK+ 2.x
Name:		python-%{module}
Version:	2.24.0
Release:	1
Epoch:		2
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.24/%{module}-%{version}.tar.bz2
# Source0-md5:	a1051d5794fd7696d3c1af6422d17a49
Source1:	%{name}-python.m4
Source2:	%{name}-jhflags.m4
Patch0:		%{name}-pyc.patch
Patch1:		%{name}-python27.patch
URL:		http://www.pygtk.org/
BuildRequires:	atk-devel >= 1:1.12.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.7
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	gtk+2-devel >= 2:2.24.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libtool
BuildRequires:	pango-devel >= 1:1.16.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.5
%{?with_numpy:BuildRequires:	python-numpy-devel >= 1:1.0}
BuildRequires:	python-pycairo-devel >= 1.2.6
BuildRequires:	python-pygobject-devel >= 2.22.0
# needs /usr/share/doc/gtk-doc/html/pygobject/style.css
BuildRequires:	python-pygobject-apidocs
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python bindings for GTK+ 2.x libraries. This package contains
documentation and examples.

%description -l pl.UTF-8
Wiązania Pythona do bibliotek GTK+ 2.x. Pakiet zawiera dokumentację
oraz przykłady.

%package devel
Summary:	Python bindings for GTK+ 2.x libraries - development files
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek GTK+ 2.x - część rozwojowa
Group:		Development/Languages/Python
Requires:	%{name}-atk = %{epoch}:%{version}-%{release}
Requires:	%{name}-glade = %{epoch}:%{version}-%{release}
Requires:	%{name}-gtk = %{epoch}:%{version}-%{release}
Requires:	%{name}-pango = %{epoch}:%{version}-%{release}
Requires:	gtk+2-devel >= 2:2.24.0
Requires:	python-devel >= 1:2.3.5
Requires:	python-pygobject-devel >= 2.22.0
Obsoletes:	python-pygtk < 2:2.12.1-2

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with Python bindings.

%description devel -l pl.UTF-8
Pakiet zawiera pliki wymagane do zbudowania funkcji do bibliotek GTK+,
tak by mogły te biblioteki kooperować z wiązaniami Pythona.

%package examples
Summary:	Example programs for pygtk
Summary(pl.UTF-8):	Programy przykładowe do pygtk
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description examples
This package contains example programs for pygtk.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla pygtk.

%package gtk
Summary:	Python bindings for GTK+ library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GTK+
Group:		Libraries/Python
Requires:	%{name}-atk = %{epoch}:%{version}-%{release}
Requires:	%{name}-pango = %{epoch}:%{version}-%{release}
Requires:	gtk+2 >= 2:2.24.0
Requires:	python-pycairo >= 1.2.6
Obsoletes:	python-pygtk-glarea
Conflicts:	python-pygtk < 1:1.0

%description gtk
Python bindings for GTK+ library.

%description gtk -l pl.UTF-8
Wiązania Pythona do biblioteki GTK+.

%package atk
Summary:	Python bindings for ATK library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki ATK
Group:		Libraries/Python
Requires:	atk >= 1:1.12.0
Requires:	python-pygobject >= 2.22.0

%description atk
Python bindings for ATK library.

%description atk -l pl.UTF-8
Wiązania Pythona do biblioteki ATK.

%package pango
Summary:	Python bindings for Pango library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki Pango
Group:		Libraries/Python
Requires:	pango >= 1:1.16.0
Requires:	python-pycairo >= 1.2.6
Requires:	python-pygobject >= 2.22.0

%description pango
Python bindings for Pango library.

%description pango -l pl.UTF-8
Wiązania Pythona do biblioteki Pango.

%package glade
Summary:	Python bindings for Glade library
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki Glade
Group:		Libraries/Python
Requires:	%{name}-gtk = %{epoch}:%{version}-%{release}
Requires:	libglade2 >= 1:2.6.2
Obsoletes:	python-pygtk-libglade < 1:1.0

%description glade
Python bindings for Glade library.

%description glade -l pl.UTF-8
Wiązania Pythona do biblioteki Glade.

%package apidocs
Summary:	pygtk API documentation
Summary(pl.UTF-8):	Dokumentacja API pygtk
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
pygtk API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API pygtk.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

# don't remove it
#mkdir m4
#cp %{SOURCE1} m4/python.m4
#cp %{SOURCE2} m4/jhflags.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-thread \
	%{!?with_numpy:--disable-numpy}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	TARGET_DIR='%{_gtkdocdir}/%{name}'

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/{*.la,*/*.la}
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/gtk/*.py
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/pygtk/2.0/{demos,pygtk-demo*}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pygtk-codegen-2.0
%attr(755,root,root) %{_bindir}/pygtk-demo
%dir %{_datadir}/pygtk
%dir %{_datadir}/pygtk/2.0
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/defs/*.override
%{_includedir}/pygtk-2.0
%{_pkgconfigdir}/pygtk-2.0.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files gtk
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0/gtk
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/_gtk.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtkunixprint.so
%{py_sitedir}/gtk-2.0/gtk/*.py[co]

%files atk
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/atk.so

%files pango
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/pango.so
%attr(755,root,root) %{py_sitedir}/gtk-2.0/pangocairo.so

%files glade
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtk/glade.so

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygtk.spec,v $
Revision 1.176  2011/04/07 13:20:23  kiesiu
- up to 2.24.0; merged from DEVEL
- updated BRs and Rs

Revision 1.175.2.2  2011/03/13 13:41:53  wiget
- up to 2.23.1

Revision 1.175.2.1  2011/03/10 13:25:43  lisu
- up to 2.23.0

Revision 1.175  2010/10/22 12:06:51  arekm
- release 2

Revision 1.174  2010/10/21 05:49:01  qboosh
- updated BRs/Rs
- cleanup
- now it uses modern numpy instead of old Numeric

Revision 1.173  2010/10/19 13:10:08  lisu
- adapterized

Revision 1.172  2010/10/19 13:09:51  lisu
- updated to 2.22.0

Revision 1.171  2010/09/21 19:00:01  glen
- release 4

Revision 1.170  2010/09/21 18:47:17  glen
- py27 fix. LP#636372

Revision 1.169  2010/07/08 17:05:40  arekm
- release 2

Revision 1.168  2010/07/03 10:54:48  qboosh
- updated required python version
- synced gtk+2/pycairo/pygobject Rs with BRs

Revision 1.167  2009/10/17 00:25:46  wrobell
- pygobject 2.18.0 is required to build

Revision 1.166  2009/10/17 00:19:18  wrobell
- ver. 2.16.0

Revision 1.165  2009/04/19 18:02:00  matkor
- Release 2.

Revision 1.164  2009/03/06 17:55:35  megabajt
- updated to 2.14.1

Revision 1.163  2009/02/16 10:31:23  megabajt
- updated to 2.14.0

Revision 1.162  2008/10/05 13:49:49  rotom
- rel 4

Revision 1.161  2008/10/04 14:30:58  megabajt
- release 3

Revision 1.160  2008/04/15 21:50:10  qboosh
- devel dirs moved back to -devel (their users fixed instead)
- release 2

Revision 1.159  2008-01-04 11:19:15  megabajt
- updated to 2.12.1

Revision 1.158  2007-11-07 00:23:21  glen
- rel 5

Revision 1.157  2007/10/09 13:55:13  blues
- rel.4 - drop obsoletes for main package

Revision 1.156  2007/09/21 22:06:06  blues
- rel.3 - one more dir that forces all the devel crap in regular system

Revision 1.155  2007/09/21 13:20:46  blues
- rel.2 - create main package with empty dirs to avoid fetching hundreds
  of devel packages... because of one dir required...

Revision 1.154  2007/09/16 14:59:16  megabajt
- updated to 2.12.0

Revision 1.153  2007/09/03 17:31:10  baggins
- rel 2

Revision 1.152  2007/07/31 19:14:40  qboosh
- LGPL v2.1+

Revision 1.151  2007/07/26 09:02:21  megabajt
- updated to 2.10.6

Revision 1.150  2007/06/19 09:47:51  glen
- require libglade with fixed .la

Revision 1.149  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.148  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.147  2007/02/07 10:20:30  megabajt
- updated to 2.10.4

Revision 1.146  2006/10/04 19:33:02  grzegol
- 2.10.3

Revision 1.145  2006/10/03 10:53:04  grzegol
- 2.10.2

Revision 1.144  2006/09/27 18:39:22  wrobell
- rel. 5 to rebuild with python 2.5 (final)

Revision 1.143  2006/09/09 17:32:06  arekm
- rel 4

Revision 1.142  2006/09/09 16:24:40  arekm
- rel 3

Revision 1.141  2006/09/09 01:10:03  patrys
- rebuild

Revision 1.140  2006/09/06 18:13:00  grzegol
- 2.10.1

Revision 1.139  2006/08/27 11:08:59  havner
- rebuild with 2.5
- rel 2

Revision 1.138  2006/08/26 17:17:43  qboosh
- needs am >= 1.7

Revision 1.137  2006/08/10 20:29:05  freetz
- 2.9.6, apidocs subpkg, updated deps

Revision 1.136  2006/08/07 20:18:28  freetz
- 2.9.5, updated file list

Revision 1.135  2006/07/17 14:53:51  qboosh
- numpy->Numeric update (except for bcond name)

Revision 1.134  2006/07/12 17:08:28  freetz
- 2.9.3, removed gtk-API-update patch (already in sources), updated deps

Revision 1.133  2006/07/11 20:50:51  freetz
- updated deps, rel.3

Revision 1.132  2006/06/24 19:29:39  freetz
- added gtk_print_API_update patch, rel.2

Revision 1.131  2006/06/18 18:32:06  freetz
- 2.9.2, updated deps, gtkunixprint patch applied upstream

Revision 1.130  2006/06/15 15:19:57  freetz
- 2.9.1, fixed http://bugzilla.gnome.org/show_bug.cgi?id=344957 (patch
  added), updated deps

Revision 1.129  2006/06/07 12:30:15  qboosh
- Source0 fix

Revision 1.128  2006/06/07 12:20:18  freetz
- 2.9.0, bleeding edge deps, removed gobject subkpg (now in separate pkg)

Revision 1.127  2006/05/15 08:58:11  qboosh
- tab

Revision 1.126  2006/05/14 23:32:43  emes
- devel requires gtk+2-devel

Revision 1.125  2006/04/12 16:43:31  freetz
- 2.8.6, m4 once more removed

Revision 1.124  2006/03/31 19:37:21  wrobell
- ver. 2.8.5

Revision 1.123  2006/01/11 21:43:44  freetz
- 2.8.4

Revision 1.122  2005/10/30 23:04:02  arekm
- rel 2

Revision 1.121  2005/10/10 13:54:42  pawcioos
- updated to 2.8.2

Revision 1.120  2005/10/05 22:06:10  blues
- rels up. Forgot to make it in both specs :(

Revision 1.119  2005/10/05 21:58:55  blues
- release 2

Revision 1.118  2005/10/05 21:54:00  blues
- BR

Revision 1.117  2005/10/05 12:54:56  freetz
- 2.8.1

Revision 1.116  2005/09/12 17:33:05  jpc
- R: glib2-devel for pygtk-devel (for pkgconfig to work)

Revision 1.115  2005/09/05 17:35:00  freetz
- merged from DEVEL

Revision 1.113.2.8  2005/09/05 11:51:12  freetz
- 2.8.0

Revision 1.113.2.7  2005/08/25 09:13:58  paladine
- updated to 2.7.4
- removed pangocairo.defs (already in sources)
- fixed/updated BRs/Rs
- sorted %%files

Revision 1.113.2.6  2005/08/18 21:44:43  aflinta
- rebuild with cairo, rel. 2

Revision 1.113.2.5  2005/08/10 21:34:50  freetz
- 2.7.3 (Artur try it! ;)

Revision 1.113.2.4  2005/08/03 17:31:06  wiget
- pango and gtk requires python-pycairo

Revision 1.113.2.3  2005/08/03 10:11:39  wiget
- updated to 2.7.2

Revision 1.113.2.2  2005/07/23 11:14:30  freetz
- 2.7.1, bump BRs/Rs

Revision 1.113.2.1  2005/07/11 12:57:46  freetz
- 2.7.0, updated BRs

Revision 1.114  2005/07/20 18:02:53  arekm
- rel 3

Revision 1.113  2005/05/11 17:34:51  pluto
- release 2 for Th.

Revision 1.112  2005/05/10 04:43:17  wrobell
- ver. 2.6.2

Revision 1.111  2005/04/12 08:10:16  paladine
- bumped and fixed BRs

Revision 1.110  2005/03/16 23:27:37  wrobell
- ver. 2.6.1

Revision 1.109  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.108  2005/03/10 19:49:53  wrobell
- ver. 2.6.0

Revision 1.107  2005/02/26 00:22:17  grzegol
- updated to 2.5.4
- removed useless files

Revision 1.106  2005/02/09 11:03:47  grzegol
- updated Requires

Revision 1.105  2005/02/09 10:04:41  wiget
- updated to 2.5.3

Revision 1.104  2004/12/29 14:18:05  qboosh
- -examples obsolete python-pygtk in 2.0.x versions too (not only < 1.0)

Revision 1.103  2004/12/24 21:47:10  arekm
- rel 4

Revision 1.102  2004/12/23 09:29:13  havner
- rel 3 for python

Revision 1.101  2004/11/08 18:52:52  freetz
- new bugfree py_compile ready, added m4 stuff for full autoreconfig, rel.2

Revision 1.100  2004/11/05 01:45:24  wrobell
- ver. 2.4.1

Revision 1.99  2004/10/27 09:46:01  qboosh
- deduped files, BR: automake

Revision 1.98  2004/10/03 23:38:07  grzegol
- updated to 2.4.0

Revision 1.97  2004/09/30 11:04:32  wrobell
- merged from DEVEL

Revision 1.96  2004/08/19 00:46:47  troll
- new project URL

Revision 1.95  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.94  2004/08/08 12:23:53  havner
- Epoch 2 for AC main tree

Revision 1.93.2.12  2004/09/30 11:02:08  wrobell
- ver. 2.3.97

Revision 1.93.2.11  2004/09/22 20:01:54  jpc
- make it work with python 2.4a3
  (which splits the files between py_sitescriptdir and py_sitedir)

Revision 1.93.2.10  2004/09/18 15:34:34  wrobell
- reverted, it is bad idea

Revision 1.93.2.9  2004/09/18 15:21:25  wrobell
- sitescript issue fixed

Revision 1.93.2.8  2004/08/10 23:21:09  grzegol
- Epoch: 2 (as on HEAD)

Revision 1.93.2.7  2004/08/06 23:13:21  grzegol
- updated to 2.3.96

Revision 1.93.2.6  2004/08/02 11:56:05  grzegol
- updated to 2.3.95

Revision 1.93.2.5  2004/07/21 22:50:11  grzegol
- updated to 2.3.94

Revision 1.93.2.4  2004/07/19 18:06:48  grzegol
- updated to 2.3.93

Revision 1.93.2.3  2004/05/22 12:20:29  grzegol
- updated to 2.3.92
- removed outdated treemodel_filter_new patch

Revision 1.93.2.2  2004/05/03 13:11:19  jpc
- update URL
- added patch fixing TreeView.filter_new

Revision 1.93.2.1  2004/04/28 09:46:07  qboosh
- updated to 2.3.91

Revision 1.93  2004/04/28 09:37:26  qboosh
- no macros in Obsoletes/Conflicts for old packages

Revision 1.92  2004/03/30 17:57:28  troll
- added Obsoletes: %%{name}-glarea to gtk package to avoid problems in upgrading packages (because of nonexistant glarea package)
- unifications
- s/Gtk/GTK/
- release 2 to rebuild with fixed upgrade issue

Revision 1.91  2004/03/12 21:14:11  qboosh
- killed bogus main package: examples moved to -examples, docs to -gobject
  (which is real base of pygtk)
- numpy is now detected at runtime as well and needed only for code using
  one of these two gdk functions: get_pixels_array and pixbuf_new_from_array

Revision 1.90  2004/03/11 11:57:15  grzegol
- updated to 2.2.0
- removed gtkglarea subpackage (it was removed from sources)
- strict internal deps

Revision 1.89  2004/02/01 13:50:38  qboosh
- added missing python epoch

Revision 1.88  2004/02/01 11:45:56  krzak
- add R: python-devel, to python-pygtk-devel package
- rel 8, STBR

Revision 1.87  2004/01/05 01:34:03  undefine
- release 7

Revision 1.86  2003/12/29 19:18:41  undefine
- copy config.sub to allow build on amd64

Revision 1.85  2003/12/04 23:03:48  qboosh
- deal with numpy BR/R (bcond added)

Revision 1.84  2003/12/04 22:58:08  matkor
- Release 6. R: python-numpy

Revision 1.83  2003/11/30 20:51:22  krzak
- rel 5
- BR python-devel >= 2.3.2 (this should help)

Revision 1.82  2003/11/30 04:15:26  krzak
- rel 4 for AC

Revision 1.81  2003/11/26 19:34:54  krzak
- rel 3 to build against python 2.3.2

Revision 1.80  2003/10/07 22:01:37  matkor
- Dumb-Ra-bump release to 2.

Revision 1.79  2003/09/01 15:05:19  grzegol
- updated to 2.0.0

Revision 1.78  2003/08/29 14:15:41  wrobell
- rel. 2 to build with python-2.3-2

Revision 1.77  2003/08/24 21:11:08  grzegol
- updated to 1.99.18

Revision 1.76  2003/08/19 12:27:22  wrobell
- %%{_examplesdir}/%%{name}-%%{version}

Revision 1.75  2003/08/03 16:46:51  grzegol
- fixed %%files

Revision 1.74  2003/08/01 15:50:27  wrobell
- ver. 1.99.17

Revision 1.73  2003/07/22 11:56:51  wrobell
- rel. 3 to build with python 2.3 /nest/

Revision 1.72  2003/07/03 10:25:28  qboosh
- removed *.la (unneeded for Python modules)
- Epoch 1 (pygtk 0.6.x had so)
- release 2

Revision 1.71  2003/07/03 09:01:01  qboosh
- more Conflicts and Obsoletes for pyton-pygtk < 1.0

Revision 1.70  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.69  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.68  2003/05/16 06:47:11  wrobell
- moved gtk-2.0 subdirectory file list entry to gobject subpackage

Revision 1.67  2003/05/16 06:28:57  wrobell
- gobject subpackage requires python modules

Revision 1.66  2003/03/23 15:15:57  aflinta
- updated to version 1.99.16

Revision 1.65  2003/02/21 20:19:37  qboosh
- missing dir

Revision 1.64  2003/02/09 18:19:50  wrobell
- fixed file permissions

Revision 1.63  2003/02/09 05:59:25  wrobell
- ver. 1.99.15

Revision 1.62  2002/12/27 23:54:36  wrobell
- ver. 1.99.14

Revision 1.61  2002/12/09 12:14:34  wrobell
- rel. 6

Revision 1.60  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.59  2002/11/15 13:11:57  wrobell
- GtkGLArea support added
- rel. 5

Revision 1.58  2002/10/28 14:54:45  malekith
- release 4

Revision 1.57  2002/09/12 15:26:56  wrobell
- fixed requirements

Revision 1.56  2002/09/12 15:18:55  wrobell
- move pth file to gobject subpackage (it is required by the rest)
- rel. 3, stb

Revision 1.55  2002/09/12 15:03:20  wrobell
- added defattr missing

Revision 1.54  2002/09/09 11:19:01  wiget
- fix codegen

Revision 1.53  2002/09/09 11:05:13  wiget
- enable threads support
- release 2

Revision 1.52  2002/09/04 12:26:15  kura
- added missing pygtk.pth

Revision 1.51  2002/09/04 12:17:47  kura
- oops, %clean uncommented

Revision 1.50  2002/09/04 12:15:46  kura
- updated to 1.99.13

Revision 1.49  2002/09/03 08:51:13  kloczek
- relase 2: rebuild.

Revision 1.48  2002/07/29 12:50:10  wrobell
- ver. 1.99.12

Revision 1.47  2002/07/19 21:48:00  wrobell
- use requirements properly

Revision 1.46  2002/07/12 09:22:45  wrobell
- ver. 1.99.11

Revision 1.45  2002/07/04 23:50:01  wrobell
- devel subpackage
- new doc

Revision 1.44  2002/05/06 21:46:49  kloczek
- fixed/better Summary.

Revision 1.43  2002/05/06 17:57:15  wrobell
- ver. 1.99.9

Revision 1.42  2002/04/13 17:34:02  kloczek
- rebuild against pythin 2.2.1.

Revision 1.41  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.40  2002/03/18 06:53:56  wrobell
- group Development/Languages/Python changed to Libraries/Python where
  appropriate
- ver. 1.99.8
- nest

Revision 1.39  2002/03/12 02:43:45  wrobell
- conflicts python-pygtk < 1.0; i suppose that pygtk 1.0 will never exist

Revision 1.38  2002/03/12 02:33:52  wrobell
- apropriate license
- main package description (it was pygtk.spec not README!)
- rel. 0.3

Revision 1.37  2002/03/12 02:23:40  wrobell
- libglade2-devel requires gtk+2-devel, which requires atk-devel, which
  requires pango-devel... ufff...

Revision 1.36  2002/03/12 02:17:44  wrobell
- glade descriptions belong to glade subpackage

Revision 1.35  2002/03/12 02:05:39  wrobell
- fixed install requirements

Revision 1.34  2002/03/12 02:04:59  wrobell
- fixed install requirements
- sorted build requirements
- and sleeping is for morons!

Revision 1.33  2002/03/12 02:01:14  wrobell
- all summaries and nearly all descriptions
- sleeping is for morons :-P

Revision 1.32  2002/03/11 16:28:12  wrobell
- build requirements improvements
- glade subpackage added
- definition files moved to main package
- rel. 0.2

Revision 1.31  2002/03/11 11:30:34  wrobell
- fixed build requirement

Revision 1.30  2002/03/06 11:18:54  ankry
- typo in URL

Revision 1.29  2002/03/05 11:07:01  wrobell
- source fixed

Revision 1.28  2002/03/05 10:51:04  wrobell
- reincarnation for pygtk 2.0 (now 1.99.x versions)
- nest
